
From: Hugh Dickins <hugh@veritas.com>

Replace misleading definition of FIRST_USER_PGD_NR 0 by definition of
FIRST_USER_ADDRESS 0 in all the MMU architectures beyond arm and arm26.

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-alpha/pgtable.h     |    2 +-
 25-akpm/include/asm-cris/pgtable.h      |    2 +-
 25-akpm/include/asm-frv/pgtable.h       |    2 +-
 25-akpm/include/asm-i386/pgtable.h      |    2 +-
 25-akpm/include/asm-ia64/pgtable.h      |    2 +-
 25-akpm/include/asm-m32r/pgtable.h      |    2 +-
 25-akpm/include/asm-m68k/pgtable.h      |    2 +-
 25-akpm/include/asm-mips/pgtable-32.h   |    2 +-
 25-akpm/include/asm-mips/pgtable-64.h   |    2 +-
 25-akpm/include/asm-parisc/pgtable.h    |    2 +-
 25-akpm/include/asm-ppc/pgtable.h       |    2 +-
 25-akpm/include/asm-ppc64/pgtable.h     |    2 +-
 25-akpm/include/asm-s390/pgtable.h      |    4 ++--
 25-akpm/include/asm-sh/pgtable.h        |    2 +-
 25-akpm/include/asm-sh64/pgtable.h      |    2 +-
 25-akpm/include/asm-sparc/pgtable.h     |    2 +-
 25-akpm/include/asm-sparc64/pgtable.h   |    2 +-
 25-akpm/include/asm-um/pgtable-2level.h |    2 +-
 25-akpm/include/asm-um/pgtable-3level.h |    2 +-
 25-akpm/include/asm-x86_64/pgtable.h    |    2 +-
 20 files changed, 21 insertions(+), 21 deletions(-)

diff -puN include/asm-alpha/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-alpha/pgtable.h
--- 25/include/asm-alpha/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-alpha/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -42,7 +42,7 @@
 #define PTRS_PER_PMD	(1UL << (PAGE_SHIFT-3))
 #define PTRS_PER_PGD	(1UL << (PAGE_SHIFT-3))
 #define USER_PTRS_PER_PGD	(TASK_SIZE / PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 /* Number of pointers that fit on a page:  this will go away. */
 #define PTRS_PER_PAGE	(1UL << (PAGE_SHIFT-3))
diff -puN include/asm-cris/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-cris/pgtable.h
--- 25/include/asm-cris/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-cris/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -76,7 +76,7 @@ extern void paging_init(void);
  */
 
 #define USER_PTRS_PER_PGD       (TASK_SIZE/PGDIR_SIZE)
-#define FIRST_USER_PGD_NR       0
+#define FIRST_USER_ADDRESS      0
 
 /* zero page used for uninitialized stuff */
 #ifndef __ASSEMBLY__
diff -puN include/asm-frv/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-frv/pgtable.h
--- 25/include/asm-frv/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-frv/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -141,7 +141,7 @@ extern unsigned long empty_zero_page;
 #define PTRS_PER_PTE		4096
 
 #define USER_PGDS_IN_LAST_PML4	(TASK_SIZE / PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #define USER_PGD_PTRS		(PAGE_OFFSET >> PGDIR_SHIFT)
 #define KERNEL_PGD_PTRS		(PTRS_PER_PGD - USER_PGD_PTRS)
diff -puN include/asm-i386/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-i386/pgtable.h
--- 25/include/asm-i386/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-i386/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -60,7 +60,7 @@ void paging_init(void);
 #define PGDIR_MASK	(~(PGDIR_SIZE-1))
 
 #define USER_PTRS_PER_PGD	(TASK_SIZE/PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #define USER_PGD_PTRS (PAGE_OFFSET >> PGDIR_SHIFT)
 #define KERNEL_PGD_PTRS (PTRS_PER_PGD-USER_PGD_PTRS)
diff -puN include/asm-ia64/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-ia64/pgtable.h
--- 25/include/asm-ia64/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-ia64/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -93,7 +93,7 @@
 #define PGDIR_MASK		(~(PGDIR_SIZE-1))
 #define PTRS_PER_PGD		(1UL << (PAGE_SHIFT-3))
 #define USER_PTRS_PER_PGD	(5*PTRS_PER_PGD/8)	/* regions 0-4 are user regions */
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 /*
  * Definitions for second level:
diff -puN include/asm-m32r/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-m32r/pgtable.h
--- 25/include/asm-m32r/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-m32r/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -51,7 +51,7 @@ extern unsigned long empty_zero_page[102
 #define PGDIR_MASK	(~(PGDIR_SIZE - 1))
 
 #define USER_PTRS_PER_PGD	(TASK_SIZE / PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #ifndef __ASSEMBLY__
 /* Just any arbitrary offset to the start of the vmalloc VM area: the
diff -puN include/asm-m68k/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-m68k/pgtable.h
--- 25/include/asm-m68k/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-m68k/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -61,7 +61,7 @@
 #define PTRS_PER_PGD	128
 #endif
 #define USER_PTRS_PER_PGD	(TASK_SIZE/PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 /* Virtual address region for use by kernel_map() */
 #ifdef CONFIG_SUN3
diff -puN include/asm-mips/pgtable-32.h~freepgt2-arch-first_user_address-0 include/asm-mips/pgtable-32.h
--- 25/include/asm-mips/pgtable-32.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-mips/pgtable-32.h	2005-04-06 18:22:10.000000000 -0700
@@ -74,7 +74,7 @@ extern int add_temporary_entry(unsigned 
 #define PTRS_PER_PTE	((PAGE_SIZE << PTE_ORDER) / sizeof(pte_t))
 
 #define USER_PTRS_PER_PGD	(0x80000000UL/PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #define VMALLOC_START     KSEG2
 
diff -puN include/asm-mips/pgtable-64.h~freepgt2-arch-first_user_address-0 include/asm-mips/pgtable-64.h
--- 25/include/asm-mips/pgtable-64.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-mips/pgtable-64.h	2005-04-06 18:22:10.000000000 -0700
@@ -89,7 +89,7 @@
 #define PTRS_PER_PTE	((PAGE_SIZE << PTE_ORDER) / sizeof(pte_t))
 
 #define USER_PTRS_PER_PGD	(TASK_SIZE / PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #define VMALLOC_START		XKSEG
 #define VMALLOC_END	\
diff -puN include/asm-parisc/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-parisc/pgtable.h
--- 25/include/asm-parisc/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-parisc/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -120,7 +120,7 @@
  * pgd entries used up by user/kernel:
  */
 
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #ifndef __ASSEMBLY__
 extern  void *vmalloc_start;
diff -puN include/asm-ppc64/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-ppc64/pgtable.h
--- 25/include/asm-ppc64/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-ppc64/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -41,7 +41,7 @@
 #define PTRS_PER_PGD	(1 << PGD_INDEX_SIZE)
 
 #define USER_PTRS_PER_PGD	(1024)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #define EADDR_SIZE (PTE_INDEX_SIZE + PMD_INDEX_SIZE + \
                     PGD_INDEX_SIZE + PAGE_SHIFT) 
diff -puN include/asm-ppc/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-ppc/pgtable.h
--- 25/include/asm-ppc/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-ppc/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -96,7 +96,7 @@ extern unsigned long ioremap_bot, iorema
 #define PTRS_PER_PGD	(1 << (32 - PGDIR_SHIFT))
 
 #define USER_PTRS_PER_PGD	(TASK_SIZE / PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #define USER_PGD_PTRS (PAGE_OFFSET >> PGDIR_SHIFT)
 #define KERNEL_PGD_PTRS (PTRS_PER_PGD-USER_PGD_PTRS)
diff -puN include/asm-s390/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-s390/pgtable.h
--- 25/include/asm-s390/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-s390/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -95,14 +95,14 @@ extern char empty_zero_page[PAGE_SIZE];
 # define USER_PTRS_PER_PGD  512
 # define USER_PGD_PTRS      512
 # define KERNEL_PGD_PTRS    512
-# define FIRST_USER_PGD_NR  0
 #else /* __s390x__ */
 # define USER_PTRS_PER_PGD  2048
 # define USER_PGD_PTRS      2048
 # define KERNEL_PGD_PTRS    2048
-# define FIRST_USER_PGD_NR  0
 #endif /* __s390x__ */
 
+#define FIRST_USER_ADDRESS  0
+
 #define pte_ERROR(e) \
 	printk("%s:%d: bad pte %p.\n", __FILE__, __LINE__, (void *) pte_val(e))
 #define pmd_ERROR(e) \
diff -puN include/asm-sh64/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-sh64/pgtable.h
--- 25/include/asm-sh64/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-sh64/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -238,7 +238,7 @@ static inline pmd_t * pmd_offset(pgd_t *
 
 /* Round it up ! */
 #define USER_PTRS_PER_PGD	((TASK_SIZE+PGDIR_SIZE-1)/PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #ifndef __ASSEMBLY__
 #define VMALLOC_END	0xff000000
diff -puN include/asm-sh/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-sh/pgtable.h
--- 25/include/asm-sh/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-sh/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -44,7 +44,7 @@ extern unsigned long empty_zero_page[102
 #define PGDIR_MASK	(~(PGDIR_SIZE-1))
 
 #define USER_PTRS_PER_PGD	(TASK_SIZE/PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #define PTE_PHYS_MASK	0x1ffff000
 
diff -puN include/asm-sparc64/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-sparc64/pgtable.h
--- 25/include/asm-sparc64/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-sparc64/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -78,7 +78,7 @@
 #define PTRS_PER_PGD	(1UL << PGDIR_BITS)
 
 /* Kernel has a separate 44bit address space. */
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #define pte_ERROR(e)	__builtin_trap()
 #define pmd_ERROR(e)	__builtin_trap()
diff -puN include/asm-sparc/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-sparc/pgtable.h
--- 25/include/asm-sparc/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-sparc/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -63,7 +63,7 @@ BTFIXUPDEF_INT(page_kernel)
 #define PTRS_PER_PMD    	BTFIXUP_SIMM13(ptrs_per_pmd)
 #define PTRS_PER_PGD    	BTFIXUP_SIMM13(ptrs_per_pgd)
 #define USER_PTRS_PER_PGD	BTFIXUP_SIMM13(user_ptrs_per_pgd)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 #define PTE_SIZE		(PTRS_PER_PTE*4)
 
 #define PAGE_NONE      __pgprot(BTFIXUP_INT(page_none))
diff -puN include/asm-um/pgtable-2level.h~freepgt2-arch-first_user_address-0 include/asm-um/pgtable-2level.h
--- 25/include/asm-um/pgtable-2level.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-um/pgtable-2level.h	2005-04-06 18:22:10.000000000 -0700
@@ -23,7 +23,7 @@
 #define PTRS_PER_PTE	1024
 #define USER_PTRS_PER_PGD ((TASK_SIZE + (PGDIR_SIZE - 1)) / PGDIR_SIZE)
 #define PTRS_PER_PGD	1024
-#define FIRST_USER_PGD_NR       0
+#define FIRST_USER_ADDRESS	0
 
 #define pte_ERROR(e) \
         printk("%s:%d: bad pte %p(%08lx).\n", __FILE__, __LINE__, &(e), \
diff -puN include/asm-um/pgtable-3level.h~freepgt2-arch-first_user_address-0 include/asm-um/pgtable-3level.h
--- 25/include/asm-um/pgtable-3level.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-um/pgtable-3level.h	2005-04-06 18:22:10.000000000 -0700
@@ -31,7 +31,7 @@
 #define PTRS_PER_PMD 512
 #define USER_PTRS_PER_PGD ((TASK_SIZE + (PGDIR_SIZE - 1)) / PGDIR_SIZE)
 #define PTRS_PER_PGD 512
-#define FIRST_USER_PGD_NR       0
+#define FIRST_USER_ADDRESS	0
 
 #define pte_ERROR(e) \
         printk("%s:%d: bad pte %p(%016lx).\n", __FILE__, __LINE__, &(e), \
diff -puN include/asm-x86_64/pgtable.h~freepgt2-arch-first_user_address-0 include/asm-x86_64/pgtable.h
--- 25/include/asm-x86_64/pgtable.h~freepgt2-arch-first_user_address-0	2005-04-06 18:22:10.000000000 -0700
+++ 25-akpm/include/asm-x86_64/pgtable.h	2005-04-06 18:22:10.000000000 -0700
@@ -114,7 +114,7 @@ extern inline void pgd_clear (pgd_t * pg
 #define PGDIR_MASK	(~(PGDIR_SIZE-1))
 
 #define USER_PTRS_PER_PGD	(TASK_SIZE/PGDIR_SIZE)
-#define FIRST_USER_PGD_NR	0
+#define FIRST_USER_ADDRESS	0
 
 #ifndef __ASSEMBLY__
 #define MAXMEM		 0x3fffffffffffUL
_
